package com.lantone.qc.kernel.catalogue.deathrecord;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @ClassName : DEAR0344
 * @Description : 死亡记录无抢救经过
 * @Author : 胡敬
 * @Date: 2020-03-18 18:35
 */
@Component
public class DEAR0344 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        if (inputInfo.getDeathRecordDoc() != null && inputInfo.getDeathRecordDoc().getStructureMap() != null) {
            Map<String, String> deathRecordStructureMap = inputInfo.getDeathRecordDoc().getStructureMap();
            String diagnosisTreatmentProcess = deathRecordStructureMap.get("诊疗经过");
            /*if (CatalogueUtil.isEmpty(diagnosisTreatmentProcess)) {
                return;
            }
            if (!diagnosisTreatmentProcess.contains("抢救")) {
                status.set("-1");
            }*/
            if(StringUtils.isEmpty(diagnosisTreatmentProcess)){
                status.set("-1");
            }
        }
    }
}